Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.output
Class FragmentPackageName

    java.lang.Object
      com.google.gwt.inject.rebind.output.FragmentPackageName

    public class FragmentPackageName

extends java.lang.Object

Wrapping a String in `FragmentPackageName` converts it to a legal name for a fragment package. Any code that manipulates the package name of a fragment should store and/or pass it around using this class, to ensure that the name is legal.

Normally the requested name is used as the package name, but the JVM forbids us from placing generated code in certain packages. Luckily, we never actually need to place code in those packages anyway, even if our rules would normally cause us to do so (because users of Gin can only access public parts of those packages). Since it doesn't matter where those methods go, we arbitrarily put them in the fragment corresponding to the ginjector interface.

Nested Class Summary
`static interface` | `FragmentPackageName.Factory`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD